#%%define gitver

Name:		mailfilter
Version:	3.0
Release: 	1%{?gitver:.%{gitver}}%{?dist}
Summary:	Mail Transport Agent (MTA) framework

Group:		System Environment/Daemons
License:	GPLv2
URL:		https://github.com/mindbit/%{name}
Source0: 	%{url}/archive/v%{version}/%{name}-%{version}%{?gitver:-%{gitver}}.tar.gz
Source1:	mailfilter.service

BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	autoconf automake libtool
BuildRequires:	autoconf-archive
BuildRequires:	duktape-devel
BuildRequires:	libjsmisc-devel
BuildRequires:	libspf2-devel
BuildRequires:	openssl-devel
BuildRequires:	systemd-units

%description
Mail Filter is a Mail Transport Agent (MTA) framework. The main goal is
to implement a protection system against unsolicited or potentially
harmful e-mail. However, its modular architecture makes Mail Filter
suitable for a wide variety of applications that involve SMTP.

%prep
%autosetup

%build
./bootstrap.sh
%configure --enable-debug
%make_build

%install
%make_install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 644 conf/filter.js $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.js
mkdir -p $RPM_BUILD_ROOT/usr/lib/systemd/system
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/systemd/system/mailfilter.service

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || useradd -r -g %{name} \
	-c "mailfilter service" -d %{_localstatedir}/run/%{name} \
	-s /sbin/nologin %{name} 2> /dev/null || :

%preun
%systemd_preun %{name}.service

%post
%systemd_post %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%doc README.md
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.js
%{_bindir}/mailfilter
/usr/lib/systemd/system/mailfilter.service

%changelog
* Sat Jan 18 2025 Radu Rendec <radu@rendec.net> - 3.0-1
- Update to v3.0

* Sat Jun 24 2023 Radu Rendec <radu@rendec.net> - 2.1-2
- Enable debugging as quick workaround to avoid suppressing debug level
  log messages

* Fri Jun 23 2023 Radu Rendec <radu@rendec.net> - 2.1-1
- First spec file release
